import { WsApiResponse, WsApiRoute } from '../types';
export type WsApiOptions<Response extends WsApiResponse> = {
    onConnected?: () => void;
    onResponse?: (response: Response) => void;
    onError?: (error: unknown) => void;
    onDisconnected?: () => void;
};
export declare const useWsApi: (wsApiUrl: string) => {
    sendRequest: <Action extends string, Request_1 extends object, Response_1 extends object>(route: WsApiRoute<Action, Request_1, Response_1>, request: Request_1, options: WsApiOptions<Response_1>) => void;
    connected: boolean;
    error: boolean;
    disconnect: () => void;
};
